Skip to navigation

Get a list of clusters.

View as Markdown
Retrieve a list of clusters with details.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

verbosityenumOptionalDefaults to full
response verbosity level.
Allowed values:
includeRequestedForDeletebooleanOptional
When true, includes clusters that are marked for deletion

Response

Executed successfully.
uuidstringformat: "uuid"
tenantIdinteger
The id of the tenant.
namestring1-253 characters
createdAtdatetime
domainstring or nullOptional1-253 characters
versionstring or nullOptional1-50 characters
statusobjectOptional
The cluster's displayed status.
updatedAtdatetime or nullOptional
deletedAtdatetime or nullOptional
lastLivenessdatetime or nullOptional
deleteRequestedAtdatetime or nullOptional
the timestamp value of when the cluster deletion request was received

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error